% Mathematical Fonts
\newcommand{\mbb}[1]{\ensuremath{\mathbb{#1}}} % Blackboard Bold (Capitals only)
\newcommand{\mbc}[1]{\textbf{\ensuremath{\mathcal{#1}}}} % Curly Capitals
\newcommand{\mf}[1]{\ensuremath{\mathfrak{#1}}} % Gothic letters
\newcommand{\scr}[1]{\ensuremath{\mathscr{#1}}} % Cursive Capitals
\newcommand{\mbf}[1]{\textbf{#1}} % Bold text

% Mathematical Shorthand
\newcommand{\mz}[1]{\ensuremath{\mbb{Z}_{#1}}} % Finite fields (requires \mbb)
\newcommand{\mbbN}{\ensuremath{\mbb{Z}^{+} \cup \{0\}}} % Positive Integers (requires \mbb)
\newcommand{\ol}[1]{\ensuremath{\overline{#1}}} % Overline
\newcommand{\ideal}[1]{\ensuremath{\langle#1\rangle}} % Ideal
\newcommand{\set}[1]{\ensuremath{\lbrace#1\rbrace}} % Set
\newcommand{\ltr}{\ensuremath{(\Rightarrow)}} % --> for enumerate
\newcommand{\rtl}{\ensuremath{(\Leftarrow)}} % <-- for enumerate
\newcommand{\pend}{\hspace*{\fill}{\ensuremath{\square}}} % End of Proof
\newcommand{\vect}[2]{\ensuremath{{#1}_1, \dots, {#1}_{#2}}} % A list

% General Shorter Commands
\newcommand{\oast}{\ensuremath{\circledast}} % Circled *
\newcommand{\define}{\ensuremath{\stackrel{\text{\tiny def}}{=}}} % =^def
\newcommand{\IFF}{\textrm{ iff }} % iff inside $s
\newcommand{\es}{\ensuremath{\varnothing}} % Empty Set
\newcommand{\tuple}[1]{\ideal{#1}} % An angled tuple (requires \ideal)
\newcommand{\sm}{\ensuremath{\backslash}} % Set subtraction

% Matroids
\newcommand{\cl}{\operatorname{cl}} % Closure
\newcommand{\delete}{\sm} % Deletion of element
\newcommand{\contract}{/} % Contraction of element

% Algebraic Geometry
\newcommand{\V}{\mbf{V}} % Variety (requires \mbf)
\newcommand{\I}{\mbf{I}} % Ideal (requires \mbf)
\newcommand{\lt}{\textsc{lt}} % Leading Term
\newcommand{\lp}{\textsc{lp}} % Leading Polynomial
\newcommand{\mcb}[1]{\multicolumn{1}{|l}{#1}} % For use with long division
\newcommand{\rto}[1]{\stackrel{#1}{\longrightarrow}_+} % End of simplification

% Logic
\newcommand{\liff}{\ensuremath{\leftrightarrow}} % Logical iff 

% Algebraic Number Theory
\newcommand{\extend}{\ensuremath{\subset}} % Field Extensions

% Category Theory
\newcommand{\Hom}{{\rm Hom}} % Hom
\newcommand{\carr}[1]{\ensuremath{\mbc{#1}_{\rm arr}}} % Arrows (requires \mbc)
\newcommand{\cobj}[1]{\ensuremath{\mbc{#1}_{\rm obj}}} % Objects (requires \mbc)
\newcommand{\id}[1]{\ensuremath{{\rm id}_{#1}}} % Identity

% Misc
\newcommand{\qs}{\subsection*{Questions}} % Questions Heading
\newcommand{\as}{\subsection*{Solutions}} % Solutions Heading
\newcommand{\cat}[1]{\textbf{#1}} % Legacy bold text - use \mbf